
From: Jan Kara <jack@suse.cz>

We must drop references to quota structures before releasing the inode.

Signed-off-by: Jan Kara <jack@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ext2/ialloc.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/ext2/ialloc.c~ext2-drop-quota-reference-before-releasing-inode fs/ext2/ialloc.c
--- devel/fs/ext2/ialloc.c~ext2-drop-quota-reference-before-releasing-inode	2005-07-25 21:19:42.000000000 -0700
+++ devel-akpm/fs/ext2/ialloc.c	2005-07-25 21:19:42.000000000 -0700
@@ -612,6 +612,7 @@ got:
 	err = ext2_init_acl(inode, dir);
 	if (err) {
 		DQUOT_FREE_INODE(inode);
+		DQUOT_DROP(inode);
 		goto fail2;
 	}
 	mark_inode_dirty(inode);
_
